Subject: Re: bug#59214: [PATCH] Alternate rust-analyzer command added

From: Stefan Kangas <[email-masked]>
Date: Wed, 16 Nov 2022 16:12:41 -0800

João Távora <[email-masked]> writes:

> After thinking about it some more, I think this case is comparable to
> ensuring 'serverx' is available in PATH/exec-path, which is something
> that we already ask users to do (not only for LSP servers). So I'd say
> don't change the value.

The difference is that rust-analyzer itself recommends using the rustup
invocation as an alternative to adding the language server to PATH.[1]

I also don't see any downside to adding it.  The variable will get a
tiny bit uglier perhaps, but the benefit is that a real hurdle will be
eliminated for users.  That's a win in my book.

Footnotes:
[1]  https://rust-analyzer.github.io/manual.html#rustup